1;

s=0;
ds=1;
X=[0.5 0 0 0 0]'; 

function [X,s] = traceDip(Y,ds)
  s(1)=0;
  X(:,1) = Y;
  X(:,2) = Md(ds)*Y(:,1); s(2) = s(1) + ds;
  X(:,3) = Mb(3,ds) *X(:,2); s(3) = s(2) + ds;
  for k=3:15
    X(:,k+1) = Md(ds)*X(:,k); 
    s(k+1) = s(k) + ds;
  end
end

function [X,s] = traceQd(Y,ds)
  s(1)=0;
  X(:,1) = Y;
  X(:,2) = Md(ds)*Y(:,1); s(2) = s(1) + ds;
  X(:,3) = Mqd(1,ds) *X(:,2); s(3) = s(2) + ds;
  for k=3:35
    X(:,k+1) = Md(ds)*X(:,k);
    s(k+1) = s(k) + ds;
  end
end

function [X,s] = traceQf(Y,ds)
  s(1)=0;
  X(:,1) = Y;
  X(:,2) = Md(ds)*Y(:,1); s(2) = s(1) + ds;
  X(:,3) = Mqf(1,ds) *X(:,2); s(3) = s(2) + ds;
  for k=3:35
    X(:,k+1) = Md(ds)*X(:,k);
    s(k+1) = s(k) + ds;
  end
end



[x0,S] = traceDip([0.005 0 0 0 0]',ds); x0=x0(1,:);
x1 = traceDip([0.002 0 0 0 0]',ds)(1,:);
x2 = traceDip([0.001 0 0 0 0]',ds)(1,:);

figure(1); plot(S,[x0 ; x1 ; x2]');

[q0,S] = traceQd([0.005 0 0 0 0]',0.2); q0=q0(1,:);
[q1,S] = traceQd([0.002 0 0 0 0]',0.2); q1=q1(1,:);

[f0,S] = traceQf([0.005 0 0 0 0]',0.2); f0=f0(1,:);
[f1,S] = traceQf([0.002 0 0 0 0]',0.2); f1=f1(1,:);
figure(2); plot(S,[q0; q1]);
figure(3); plot(S,[f0; f1]);

